#!/bin/sh -x
#
# module :
# short simulation of inputs for test of pro2href.sh
#
# source :
# pro2href_t.sh sur aedon.locean-ipsl.upmc.fr
#
# todo :
# ++improve independancies (plateforme, account, location of SAXO working space)
# ++ improve cleaning, check
#
# update :
# $Id$
# fplod 2007-09-07T12:25:36Z aedon.locean-ipsl.upmc.fr (Darwin)
# add test for <param>...</param> and <keyword>...</keyword> but not yet
# implemented in pro2href.sh
# fplod 2007-08-21T09:22:17Z aedon.locean-ipsl.upmc.fr (Darwin)
# follow changes (add parameters) of pro2href.sh
# fplod 2007-08-20T13:33:50Z aedon.locean-ipsl.upmc.fr (Darwin)
# creation
#
cd /tmp/
rm -rf pro2href_tp
rm -rf pro2href_tp_in
mkdir pro2href_tp_in
mkdir pro2href_tp_in/rep1/
mkdir pro2href_tp_in/rep2/
mkdir pro2href_tp
cd pro2href_tp
{
echo "bla1 <pro>a1a</pro> bla2 <pro>a1b</pro> bla3"
echo "bla2 <pro>a2</pro> bla5"
echo "bla3 <param pro=\"a2\">param1</param> bla5"
echo "bla4 <param>param1</param> bla5"
echo "bla4 <keyword pro=\"a2\">keyword1</keyword> bla5"
} > tp.html
cp tp.html ../pro2href_tp_in/
cd ../pro2href_tp_in
touch ../pro2href_tp_in/rep1/a1a.html
touch ../pro2href_tp_in/rep2/a1b.html
touch ../pro2href_tp_in/a2.html
~/SAXO_DIR_ws/SRC/Documentation/xmldoc/pro2href.sh -i . -r . -e pro
more tp.html
